# SPARC by ruvnet

[View Project on GitHub](https://github.com/ruvnet/rUv-dev)

SPARC orchestrates set and forget agentic development workflows through a structured framework using Roo Code Boomerang Tasks. It automates complex code development while maintaining complete developer control.
The framework is open-source with comprehensive documentation and examples, supporting everything from simple applications to complex systems.

## Key Features

- **Scaffolding**: Generate complete project structures by running `npx create-sparc init` in your root folder, including sub directories, configurations, and boilerplate code
- **Prompting**: Optimized templates for consistent, high-quality code generation
- **Boomerang Mode**: Define requirements → generate code → review → refine in a continuous feedback loop
- **Boomerang Tasks**: Define specific development tasks that can be "thrown" to Roo and returned with implementations, enabling focused problem-solving
- **Workflow Orchestration**: Coordinate complex development sequences with predefined task chains and dependency management
- **MCP Services**: Extend Roo's capabilities with specialized tools and resources through Model Context Protocol integration
- **Mode Management**: Context-aware settings that optimize behavior for specific development phases

### Quick Start
You don't need to install this [package directly](https://www.npmjs.com/package/create-sparc). Just run npx from your root directory to install it:

```bash
 npx create-sparc init
 npx create-sparc --help