# Roo Code 3.11.13 Release Notes (2025-04-11)

This release includes several terminal enhancements, improved diff error display, file context tracking, and various fixes.

## New Terminal Settings (thanks KJ7LNW!)

Six new configurable settings were added to improve terminal reliability:

*   **Terminal command delay setting** - Adds a small pause after running commands to fix output capture issues in some terminals. Useful if Roo has trouble seeing command results.
*   **PowerShell counter workaround setting** - Helps PowerShell run identical commands multiple times without failing. Turn this on if Roo struggles with repeated commands.
*   **Clear ZSH EOL mark setting** - Prevents ZSH from adding special characters that can confuse Roo when reading terminal output.
*   **Oh My Zsh integration setting** - Makes Roo work better with the popular Oh My Zsh shell customization framework. (experimental)
*   **Powerlevel10k integration setting** - Improves compatibility with the Powerlevel10k ZSH theme. (experimental)
*   **ZDOTDIR handling setting** - Helps Roo work with custom ZSH configurations without interfering with your personal settings. (experimental)

For detailed information about these settings and shell integration troubleshooting, see [Terminal Shell Integration](/features/shell-integration).

<img src="/img/v3.11.13/v3.11.13-1.png" alt="Terminal enhancements settings panel showing command delay, PowerShell counter, and ZSH options" width="600" />

## Diff Error Display Improvements

<img src="/img/v3.11.13/v3.11.13.png" alt="Improved diff error display interface with copy mechanism" width="600" />

*   Enhanced visibility of diff errors
*   Added easy copying mechanism for error details

## Improvements

*   Added file context tracking system so Roo better remembers which files you're working with (thanks samhvw8 and canvrno!)
*   Renamed AWS Bedrock to Amazon Bedrock for consistency with official naming (thanks ronyblum!)
*   Updated extension title and description for clarity (thanks StevenTCramer!)

## Bug Fixes

*   - Fixes to .vscodeignore (thanks @franekp!)
*   Fixed Chinese (zh-CN) translation for model capabilities (thanks zhangtony239!)